package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"filter"}
)
@XmlRootElement(
   name = "REPEAT"
)
public class REPEAT {
   @XmlAttribute(
      name = "TYPE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "INTERVAL"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String interval;
   @XmlElement(
      name = "FILTER"
   )
   protected List<FILTER> filter;

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getINTERVAL() {
      return this.interval;
   }

   public void setINTERVAL(String value) {
      this.interval = value;
   }

   public List<FILTER> getFILTER() {
      if (this.filter == null) {
         this.filter = new ArrayList();
      }

      return this.filter;
   }
}
